Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab
Class ConstraintsModel

    java.lang.Object
      javax.swing.AbstractListModel
          javax.swing.DefaultComboBoxModel
              edu.stanford.smi.protegex.queries_tab.ConstraintsModel

All Implemented Interfaces:
  Serializable, ComboBoxModel, ListModel, MutableComboBoxModel

    public class ConstraintsModel

extends DefaultComboBoxModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`ConstraintsModel()`

Method Summary
`static String[]` | `getBooleanConstraints()`
`static String[]` | `getClsConstraints()`
`static String[]` | `getFloatConstraints()`
`static String[]` | `getInstanceConstraints()`
`static String[]` | `getIntegerConstraints()`
`static String[]` | `getStringConstraints()`
`static String[]` | `getSymbolConstraints()`
`String` | `getType()`
`void` | `initialize()`
`void` | `setUpComboBox(String type)`

Methods inherited from class javax.swing.DefaultComboBoxModel
`addElement, getElementAt, getIndexOf, getSelectedItem, getSize, insertElementAt, removeAllElements, removeElement, removeElementAt, setSelectedItem`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Constructor Detail

### ConstraintsModel

    public ConstraintsModel()

Method Detail

### getBooleanConstraints

    public static String[] getBooleanConstraints()

### getClsConstraints

    public static String[] getClsConstraints()

### getFloatConstraints

    public static String[] getFloatConstraints()

### getInstanceConstraints

    public static String[] getInstanceConstraints()

### getIntegerConstraints

    public static String[] getIntegerConstraints()

### getStringConstraints

    public static String[] getStringConstraints()

### getSymbolConstraints

    public static String[] getSymbolConstraints()

### getType

    public String getType()

### initialize

    public void initialize()

### setUpComboBox

    public void setUpComboBox(String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request